diff mbox series

[mptcp-net] selftests: mptcp: Restore packet capture option in join tests

Message ID 20210303224300.95599-1-mathew.j.martineau@linux.intel.com
State Accepted, archived
Commit ac06939a6d2bb38e468956bbef767b5a49b2f25e
Delegated to: Matthieu Baerts
Headers show
Series [mptcp-net] selftests: mptcp: Restore packet capture option in join tests | expand

Commit Message

Mat Martineau March 3, 2021, 10:43 p.m. UTC
The join self tests previously used the '-c' command line option to
enable creation of pcap files for the tests that run, but the change to
allow running a subset of the join tests made overlapping use of that
option.

Restore the capture functionality with '-c' and move the syncookie test
option to '-k'.

Fixes: 1002b89f23ea ("selftests: mptcp: add command line arguments for mptcp_join.sh")
Signed-off-by: Mat Martineau <mathew.j.martineau@linux.intel.com>
---
 .../testing/selftests/net/mptcp/mptcp_join.sh | 26 ++++++++++++-------
 1 file changed, 16 insertions(+), 10 deletions(-)

Comments

Geliang Tang March 4, 2021, 10:58 a.m. UTC | #1
Hi Mat,

I tested this patch, it works well. Thanks.

Acked-and-tested-by: Geliang Tang <geliangtang@gmail.com>

-Geliang

Mat Martineau <mathew.j.martineau@linux.intel.com> 于2021年3月4日周四 上午6:43写道:
>
> The join self tests previously used the '-c' command line option to
> enable creation of pcap files for the tests that run, but the change to
> allow running a subset of the join tests made overlapping use of that
> option.
>
> Restore the capture functionality with '-c' and move the syncookie test
> option to '-k'.
>
> Fixes: 1002b89f23ea ("selftests: mptcp: add command line arguments for mptcp_join.sh")
> Signed-off-by: Mat Martineau <mathew.j.martineau@linux.intel.com>
> ---
>  .../testing/selftests/net/mptcp/mptcp_join.sh | 26 ++++++++++++-------
>  1 file changed, 16 insertions(+), 10 deletions(-)
>
> diff --git a/tools/testing/selftests/net/mptcp/mptcp_join.sh b/tools/testing/selftests/net/mptcp/mptcp_join.sh
> index 96379ede5925..4d7dab0bce7a 100755
> --- a/tools/testing/selftests/net/mptcp/mptcp_join.sh
> +++ b/tools/testing/selftests/net/mptcp/mptcp_join.sh
> @@ -12,6 +12,7 @@ timeout_poll=30
>  timeout_test=$((timeout_poll * 2 + 1))
>  mptcp_connect=""
>  capture=0
> +do_all_tests=1
>
>  TEST_COUNT=0
>
> @@ -123,12 +124,6 @@ reset_with_add_addr_timeout()
>                 -j DROP
>  }
>
> -for arg in "$@"; do
> -       if [ "$arg" = "-c" ]; then
> -               capture=1
> -       fi
> -done
> -
>  ip -Version > /dev/null 2>&1
>  if [ $? -ne 0 ];then
>         echo "SKIP: Could not run test without ip tool"
> @@ -1368,7 +1363,8 @@ usage()
>         echo "  -4 v4mapped_tests"
>         echo "  -b backup_tests"
>         echo "  -p add_addr_ports_tests"
> -       echo "  -c syncookies_tests"
> +       echo "  -k syncookies_tests"
> +       echo "  -c capture pcap files"
>         echo "  -h help"
>  }
>
> @@ -1382,12 +1378,20 @@ make_file "$cin" "client" 1
>  make_file "$sin" "server" 1
>  trap cleanup EXIT
>
> -if [ -z $1 ]; then
> +for arg in "$@"; do
> +       if [ "$arg" = "-c" ]; then
> +               capture=1
> +       else
> +               do_all_tests=0
> +       fi
> +done
> +
> +if [ $do_all_tests -eq 1 ]; then
>         all_tests
>         exit $ret
>  fi
>
> -while getopts 'fsltra64bpch' opt; do
> +while getopts 'fsltra64bpkch' opt; do
>         case $opt in
>                 f)
>                         subflows_tests
> @@ -1419,9 +1423,11 @@ while getopts 'fsltra64bpch' opt; do
>                 p)
>                         add_addr_ports_tests
>                         ;;
> -               c)
> +               k)
>                         syncookies_tests
>                         ;;
> +               c)
> +                       ;;
>                 h | *)
>                         usage
>                         ;;
> --
> 2.30.1
>
Matthieu Baerts March 6, 2021, 9:16 a.m. UTC | #2
Hi Mat, Geliang,

On 03/03/2021 23:43, Mat Martineau wrote:
> The join self tests previously used the '-c' command line option to
> enable creation of pcap files for the tests that run, but the change to
> allow running a subset of the join tests made overlapping use of that
> option.
> 
> Restore the capture functionality with '-c' and move the syncookie test
> option to '-k'.
> 
> Fixes: 1002b89f23ea ("selftests: mptcp: add command line arguments for mptcp_join.sh")
> Signed-off-by: Mat Martineau <mathew.j.martineau@linux.intel.com>

Thank you for this patch and the review!
Just applied in our tree with Geliang's Ack+Test tag and my RvB one:

- ac06939a6d2b: selftests: mptcp: Restore packet capture option in join 
tests
- Results: 20b4296239fa..31d85a0e0974

Tests + export have been queued!

Cheers,
Matt
diff mbox series

Patch

diff --git a/tools/testing/selftests/net/mptcp/mptcp_join.sh b/tools/testing/selftests/net/mptcp/mptcp_join.sh
index 96379ede5925..4d7dab0bce7a 100755
--- a/tools/testing/selftests/net/mptcp/mptcp_join.sh
+++ b/tools/testing/selftests/net/mptcp/mptcp_join.sh
@@ -12,6 +12,7 @@  timeout_poll=30
 timeout_test=$((timeout_poll * 2 + 1))
 mptcp_connect=""
 capture=0
+do_all_tests=1
 
 TEST_COUNT=0
 
@@ -123,12 +124,6 @@  reset_with_add_addr_timeout()
 		-j DROP
 }
 
-for arg in "$@"; do
-	if [ "$arg" = "-c" ]; then
-		capture=1
-	fi
-done
-
 ip -Version > /dev/null 2>&1
 if [ $? -ne 0 ];then
 	echo "SKIP: Could not run test without ip tool"
@@ -1368,7 +1363,8 @@  usage()
 	echo "  -4 v4mapped_tests"
 	echo "  -b backup_tests"
 	echo "  -p add_addr_ports_tests"
-	echo "  -c syncookies_tests"
+	echo "  -k syncookies_tests"
+	echo "  -c capture pcap files"
 	echo "  -h help"
 }
 
@@ -1382,12 +1378,20 @@  make_file "$cin" "client" 1
 make_file "$sin" "server" 1
 trap cleanup EXIT
 
-if [ -z $1 ]; then
+for arg in "$@"; do
+	if [ "$arg" = "-c" ]; then
+		capture=1
+	else
+		do_all_tests=0
+	fi
+done
+
+if [ $do_all_tests -eq 1 ]; then
 	all_tests
 	exit $ret
 fi
 
-while getopts 'fsltra64bpch' opt; do
+while getopts 'fsltra64bpkch' opt; do
 	case $opt in
 		f)
 			subflows_tests
@@ -1419,9 +1423,11 @@  while getopts 'fsltra64bpch' opt; do
 		p)
 			add_addr_ports_tests
 			;;
-		c)
+		k)
 			syncookies_tests
 			;;
+		c)
+			;;
 		h | *)
 			usage
 			;;